    #include <avr/io.h>
    #define F_CPU 16000000
    #include <util/delay.h>
     
    int main(){
      
      	DDRB = DDRB | (1 << 5);
        DDRD = DDRD | (1 << 7);

        // setez biti motor ca iesiri
        DDRD = DDRD | (1 << 3);
        DDRD = DDRD | (1 << 5);
        DDRD = DDRD | (1 << 6);
        DDRB = DDRB | (1 << 1);

        // setez biti senzori ca intrari
        DDRC &= 0xC0;

        PORTD = PORTD | 0x80;

        // motorul 1 e alimentat de PD3 si PD5
        // motorul 2 e alimentat de PD6 si PB1 

        // pinul motorului 1 care sta pe 0 (PD5)
        PORTD = PORTD & ~(0x20);

        // pinul motorului 2 care sta pe 0 (PB1)        
        PORTB = PORTB & ~(0x02);

        int n = 0;

        // regleaza viteza motorului din stanga / dreapta        
        int toggle_left, toggle_right;

        toggle_left = 1;
        toggle_right = 1;
      
    	while(1){

                int val_left = 0;
                int val_right = 0;

                if (PINC & (1 << PC2) || PINC & (1 << PC3))
                  val_left = val_right = 1;
                else
                {

               
                  if (PINC & (1 << PC0))
                    val_right+= 1;
   
                  if (PINC & (1 << PC1))
                    val_right+= 2;               

                  if (PINC & (1 << PC2))
                    val_right+= 3;
   
                  if (PINC & (1 << PC3))
                    val_left+= 3; 

                  if (PINC & (1 << PC4))
                    val_left+= 2; 

                  if (PINC & (1 << PC5))
                    val_left+= 1; 

                }
               

              if (val_left > val_right)
              {
                  toggle_left = 1;
                  toggle_right = 0;
              }                  
              else
              if (val_left < val_right)
              {  
                  toggle_left = 0;
                  toggle_right = 1;            
              }
              else
              {
                  toggle_left = 1;
                  toggle_right = 1;
              }

             //pinul motorului 1 care se schimba (PD3)
             if (toggle_left == 1)
                 PORTD |= 1 << 3;
             else
                 PORTD &= ~(1 << 3);
               
             //pinul motorului 2 care se schimba (PD6)
             if (toggle_right == 1)
                PORTD |= 1 << 6;
             else
                PORTD &= ~(1 << 6);
             
             _delay_us(10);

             n++;


    	}
    	return 0;
    }


